## Connection Cellular interface

Connection Cellular interface — client-side wrappers for the Cellular interface

## Functions

TpProxySignalConnection * | tp_cli_connection_interface_cellular_connect_to_imsi_changed ()
void | (*tp_cli_connection_interface_cellular_signal_callback_imsi_changed) ()

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

An interface for connections to cellular telephony (GSM, CDMA etc.), which provides properties and signals that aren't applicable to other protocols.

## Functions

### tp_cli_connection_interface_cellular_connect_to_imsi_changed ()

    TpProxySignalConnection *
    tp_cli_connection_interface_cellular_connect_to_imsi_changed
                                   (TpConnection *proxy,
                                    tp_cli_connection_interface_cellular_signal_callback_imsi_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal IMSIChanged.

Emitted when the IMSI for the connection changes. This sort of thing is rare, but could happen on cellular phones that allow hot-swapping of SIM cards. In the case of SIM swapping, this signal would be emitted twice; the first time while the SIM is being ejected (with an empty string), and the second time after a new SIM has been inserted (assuming that the IMSI can be determined from the new SIM).

#### Parameters

proxy | A TpConnection or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_connection_interface_cellular_signal_callback_imsi_changed ()

    void
    (*tp_cli_connection_interface_cellular_signal_callback_imsi_changed)
                                   (TpConnection *proxy,
                                    const gchar *arg_IMSI,
                                    gpointer user_data,
                                    GObject *weak_object);

`tp_cli_connection_interface_cellular_signal_callback_imsi_changed` is deprecated and should not be used in newly-written code.

Represents the signature of a callback for the signal IMSIChanged.

#### Parameters

proxy | The proxy on which `tp_cli_connection_interface_cellular_connect_to_imsi_changed()` was called |
arg_IMSI | The new IMSI value. This may be an empty string in the case where the IMSI is being reset or removed. |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

## Types and Values

## See Also

TpConnection